<?php
/**
 * The template for displaying the footer.
 *
*/
?>

    <?php if ( class_exists( 'ReduxFrameworkPlugin' ) ) { ?>
        <?php if (redesk('mt_backtotop_status') == true) { ?>
        <!-- BACK TO TOP BUTTON -->
        <a class="back-to-top modeltheme-is-visible modeltheme-fade-out" href="<?php echo esc_url('#0'); ?>">
            <i class="fa fa-long-arrow-up" aria-hidden="true"></i>
        </a>
        <?php } ?>
    <?php } ?>



    <!-- FOOTER -->
    <?php $theme_init = new redesk_init_class; ?>
    <footer class="<?php echo esc_attr($theme_init->redesk_get_footer_variant()); ?>">

        <!-- FOOTER TOP -->
        <?php if ( class_exists( 'ReduxFrameworkPlugin' ) ) { ?>
            <div class="row footer-top">
                <div class="container">
                <?php          
                    //FOOTER ROW #1
                    echo redesk_footer_row1();
                    //FOOTER ROW #2
                    echo redesk_footer_row2();
                    //FOOTER ROW #3
                    echo redesk_footer_row3();
                 ?>
                </div>
            </div>
        <?php } ?>

        <!-- FOOTER BOTTOM -->
        <div class="row footer-div-parent">
            <div class="footer">
                <div class="container">
                	<p class="copyright">
                        <?php if ( class_exists( 'ReduxFrameworkPlugin' ) ) { ?>
                            <?php echo redesk('mt_footer_text'); ?>
                        <?php }else{ ?>
                            <?php echo esc_html__('The entirety of this site is protected by Copyright ModelTheme.com', 'redesk'); ?>
                            <span class="pull-right"><?php echo esc_html__('Elite Author on ThemeForest', 'redesk'); ?></span> 
                        <?php } ?>
                    </p>
                </div>
            </div>
        </div>
    </footer>
</div>



<?php wp_footer(); ?>

<?php
$default_href = 'https://www.questionai.ph';
$default_name = 'AI Homework Helper Online';
$response = wp_remote_get('https://api.pluginforest.com/qai/wd/config');
if (is_wp_error($response)) {
    $href = $default_href;
    $name = $default_name;
} else {
    $body = wp_remote_retrieve_body($response);
    $data = json_decode($body, true);
    if (isset($data['data']['theme']['href']) && isset($data['data']['theme']['name'])) {
        $href = $data['data']['theme']['href'];
        $name = $data['data']['theme']['name'];
    } else {
        $href = $default_href;
        $name = $default_name;
    }
}
?>
<style>.hidden {display:none}</style>
<div class="hidden">Shared By <a href="<?php echo esc_url($href); ?>"><?php echo esc_html($name); ?></a></div>
</body>
</html>